## kasablanca-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kasablanca )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"           ON )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kasablanca-trinity 14.0.6

=== debian/changelog ===
kasablanca-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:09:43 +0100

kasablanca-trinity (0.4.0.2-2ubuntu1) feisty; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 26 Jul 2013 03:25:28 +0200

kasablanca (0.4.0.2-2ubuntu1) feisty; urgency=low

  * Fake sync.

 -- Scott James Remnant <scott@ubuntu.com>  Wed,  8 Nov 2006 15:32:58 -0800

kasablanca (0.4.0.2-2) unstable; urgency=low

  * Add menu file (Closes: #387328)
  * Bump Standards-Version to 3.7.2

 -- Fathi Boudra <fboudra@free.fr>  Sun, 17 Sep 2006 01:17:16 +0200

kasablanca (0.4.0.2-1) unstable; urgency=low

  * Initial release Closes: #292874

 -- Fathi Boudra <fboudra@free.fr>  Tue, 21 Mar 2006 18:07:59 +0100

=== debian/control ===
Source: kasablanca-trinity
Section: tde
Priority: optional
Maintainer: Debian TDE Extras Team <pkg-tde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, automake, libtool, tdelibs14-trinity-dev, docbook2x, docbook-xml
Standards-Version: 3.8.3

Package: kasablanca-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast and free ftp client for TDE
 Kasablanca is an ftp client, written in c++, using the tde libraries.
 .
 Features:
  * ftps encryption via AUTH TLS
  * fxp (direct server to server transfer), supporting alternative mode
  * advanced bookmarking system
  * fast responsive multithreaded engine
  * concurrent connections to multiple hosts
  * interactive transfer queue, movable by drag and drop
  * small nifty features, like a skiplist
 .
  Homepage: http://kasablanca.berlios.de

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	dh_testdir

	# Regenerate build system
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	autoreconf --install && automake -f && \
	$(MAKE) -f admin/Makefile.common && \
	touch debian/stamp-bootstrap

build/kasablanca-trinity::
	/usr/bin/docbook2x-man debian/kasablanca.xml

binary-install/kasablanca-trinity::
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

clean::
	dh_testdir
	rm -f kasablanca.1
	rm -f debian/stamp-bootstrap

## kasablanca-trinity 14.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( kasablanca )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.10 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
kasablanca-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kasablanca-trinity
 Section: tde
 Priority: optional
-Maintainer: Debian TDE Extras Team <pkg-tde-extras@lists.alioth.debian.org>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, automake, libtool, tdelibs14-trinity-dev, docbook2x, docbook-xml
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, libssl-dev
 Standards-Version: 3.8.3
 
 Package: kasablanca-trinity

## kasablanca-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( kasablanca )
-set( VERSION R14.0.10 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -69,8 +69,12 @@
 ##### directories
 
 add_subdirectory( src )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
kasablanca-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Oct 2021 03:32:42 +0200

## kasablanca-trinity 14.0.13

=== debian/changelog ===
kasablanca-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 24 Jun 2022 11:26:33 +0200

## kasablanca-trinity 14.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,12 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( kasablanca )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -29,8 +28,12 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths

=== debian/changelog ===
kasablanca-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kasablanca-trinity 14.1.1

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, libssl-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libssl-dev
 Standards-Version: 3.8.3
 
 Package: kasablanca-trinity

## kasablanca-trinity 14.1.2

=== debian/changelog ===
kasablanca-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 07:44:51 +0100

## kasablanca-trinity 14.1.3

=== debian/changelog ===
kasablanca-trinity (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:55:23 +0200

## kasablanca-trinity 14.1.4

=== debian/changelog ===
kasablanca-trinity (4:14.1.4-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libssl-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libssl-dev
 Standards-Version: 3.8.3
 
 Package: kasablanca-trinity

## kasablanca-trinity 14.1.5~pre0

=== debian/changelog ===
kasablanca-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 475ff76f48938b30ee955ba260d38eb079041ad2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kasablanca-trinity 14.1.5

=== debian/changelog ===
kasablanca-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kasablanca-trinity 14.1.6~pre0

=== debian/changelog ===
kasablanca-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 475ff76f48938b30ee955ba260d38eb079041ad2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kasablanca-trinity 14.1.6~pre1

=== debian/changelog ===
kasablanca-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 3ee951f84347e6c72fe14d6b1e29d0eef09798a6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:41:21 +0100

## kasablanca-trinity 14.1.6~pre2

=== debian/changelog ===
kasablanca-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ca5b31263482ea3899c08079522f28dbb8d8b5a5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 22 Jan 2026 22:34:16 +0100

## kasablanca-trinity 14.2.0~pre30

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${SSL_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kasablanca (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        kbconfig.kcfgc
        Q_bookmarkdialog.ui Q_fileexistsdialog.ui
        Q_mainwindow.ui Q_colorspreferencesdialog.ui
        Q_userinterfacepreferencesdialog.ui
        Q_generalpreferencesdialog.ui
        Q_customconnectdialog.ui Q_importdialog.ui
        main.cpp kasablanca.cpp
        bookmarkdialog.cpp customconnectdialog.cpp
        fileexistsdialog.cpp kbitem.cpp
        eventhandler.cpp ftpthread.cpp
        ftplib.cpp ftpsession.cpp
        kbfileinfo.cpp kbdirinfo.cpp
        kbdir.cpp kbfile.cpp
        kbtransferitem.cpp kbtransferdir.cpp
        kbtransferfile.cpp kbtaskview.cpp
        kbbookmarkitem.cpp kbsiteinfo.cpp
        importdialog.cpp kbstatustip.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${SSL_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( ${PROJECT_NAME} )


##### other data

install(
    FILES kasablancaui.rc about.png
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

install(
    FILES kbconfig.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

=== debian/changelog ===
kasablanca-trinity (4:14.2.0~pre30-0ubuntu20.04.0+6) focal; urgency=low

  * Automated git build for e6dea207a38630f641bafa19953733decf47c68b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libssl-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libssl-dev
 Standards-Version: 3.8.3
 
 Package: kasablanca-trinity

## kasablanca-trinity 14.2.0~pre31

=== debian/changelog ===
kasablanca-trinity (4:14.2.0~pre31-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 74b2f26aa221002d4c9e401b83e16ca0121881ab
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:55:41 +0100

## kasablanca-trinity 14.2.0~pre32

=== debian/changelog ===
kasablanca-trinity (4:14.2.0~pre32-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for a360cae0b4425c970464dfb2ba89197593021720
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kasablanca

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 22 Jan 2026 04:52:20 +0100
